Skip to main content
ExLibris
  • Subscribe by RSS
  • ExLibris Dev

    Errors after new (AIX) apache install: "Cannot load .../libapr-1.so", etc.

    • Article Type: General
    • Product: Aleph
    • Product Version: 20

    Description:
    After completing the JBoss/Apache steps as part of the Feb 2012 SP, I went to bring up apache (as root):

    >>sudo su -
    Password:
    testserver / # cd /exlibris/aleph/u20_1/alephe/apache/bin
    testserver /exlibris/aleph/u20_1/alephe/apache/bin # ./apachectl_auto

    but got errors:

    exec(): 0509-036 Cannot load program /exlibris/aleph/a20_1/product/local/apache/bin/httpd because of the following errors:
    0509-022 Cannot load module /exlibris/product/httpd-2.2.21/lib/libapr-1.so.
    0509-150 Dependent module libgcc_s_pthread.a(shr.o) could not be loaded.
    0509-022 Cannot load module libgcc_s_pthread.a(shr.o).
    0509-026 System error: A file or directory in the path name does not exist.
    0509-022 Cannot load module httpd.
    0509-150 Dependent module /exlibris/product/httpd-2.2.21/lib/libapr-1.so could not be loaded.
    0509-022 Cannot load module .

    Resolution:
    This was corrected by creating a soft link in $aleph_dev/product/local/gcc to the gcc installation:

    > ln -s /exlibris/aleph/a20_1/product/local/gcc /exlibris/product/gcc-3.1.1/

    > ls -l gcc*
    lrwxrwxrwx 1 aleph aleph 27 Mar 08 01:29 gcc@ -> /exlibris/product/gcc-3.1.1/

    Now apache starts without error.


    • Article last edited: 10/8/2013
    //doorbell.io feedback widged